/****************************************
* Order of appearance:			*
* 1: Headliner fonts			*
* 2: Page Body and viewing panes	*
* 3: Link control			*
* 4: Tables, cell and paragraph control	*
* 5: Image appearance			*
* 6: Unsorted				*
****************************************/

/********************************************************
* Headliner Controls:					*
* - H1 is our general headliner				*
* - H2 "Safe/Effect/Non-Toxic" line			*
* Some pages use local headlines			*
* To avoid conflict, local pages should use H10 and up	*
*							*
********************************************************/

h1 {
font-size: 1.25em;
font-style: normal;
font-weight: bold;
text-align: center;
font-family: Arial,Helvetica,Geneva,Swiss,SunSans-Regular;
text-decoration: none;
line-height: normal;
color: #330033;
}

h2 {
font-size: 1.25em;
font-style: italic;
font-weight: bold;
text-align: center;
font-family: Arial,Helvetica,Geneva,Swiss,SunSans-Regular;
line-height: normal;
color: #330033;
}


/************************************************************************************************
* Body and viewing panes:									*
* - Body	-Self explanatory.  basic background of the page, usually obscured		*
* - sideview	-This controls the appearance of the left sidebar with the variety of links	*
* - frontview	-The "main" viewing pane, might be mistaken for the body			*
************************************************************************************************/
body {
  background-color:rgb(94,128,56);
//  font-size: 1em;
  font-style: normal;
  font-weight: normal;
  font-family: Arial,Helvetica,Geneva,Swiss,SunSans-Regular;
  text-align: left;
   line-height: normal;
   margin-left: 0.5in;
//  color: #330033;
   height: 100%;
   width: 100%;
   min-width:800px;
   padding: 0;
   margin: 0;
}

#sideview {
 background-color:rgb(94,128,56);
// z-index:3;
// position:absolute;
// top: 0;
// left: 0;
 width:10%;
 min-width:230px;
 text-align:right;
 vertical-align:top;
}

#frontview {
// z-index:4;
// position:relative;
// left: 15%;
// width:85%;
 min-width:600px;
 background-color:#EFFBEF;
}


/********************************************************************************
* Link Control:									*
* - class1 is for the main sidebar links (Home, Products, Where to buy, etc).	*
* - class2 is for the secondary sidebar links (currently unused)		*
* - classhome is to emphasize the home and store link from the rest		*
* - buybuttonA provides the appearence of the "Buy Now" links on front page	*
********************************************************************************/

   .class1 a:link {margin:3%; font-size:1.5em; text-decoration: none;text-shadow: 2px 2px 3px black;color: white;font-weight:bold;}
.class1 a:visited {margin:3%; font-size:1.5em; text-decoration: none;text-shadow: 2px 2px 3px black;color: white;font-weight:bold;}
  .class1 a:hover {margin:3%; font-size:1.6em; text-decoration: none;text-shadow: 4px 4px 3px black;color: white;line-height:100%}
 .class1 a:active {margin:3%; font-size:1.5em; text-decoration: none;text-shadow: 4px 4px 3px black;color: white;line-height:100%}

.class2 {list-style-type:disc; text-shadow: 4px 4px 3px black; color:white; font-weight:bold; font-size 12px;}
   .class2 a:link {font-size:1em;}
.class2 a:visited {font-size:1em;}
  .class2 a:hover {font-size:1.1em;}
 .class2 a:active {font-size:1em;}

     .classhome a:link {margin:3%; font-size:2em; text-decoration: none;text-shadow: 2px 2px 3px #0101DF;color: white;font-weight:bold;}
  .classhome a:visited {margin:3%; font-size:2em; text-decoration: none;text-shadow: 2px 2px 3px #0101DF;color: white;font-weight:bold;}
  .classhome a:hover {margin:3%; font-size:2.2em; text-decoration: none;text-shadow: 4px 4px 3px #0101DF;color: white;line-height:100%}
   .classhome a:active {margin:3%; font-size:2em; text-decoration: none;text-shadow: 4px 4px 3px #0101DF;color: white;line-height:100%}


    .buybuttonA a:link {font-size:1.5em;font-weight:bold; text-decoration:none; color:white;}
 .buybuttonA a:visited {font-size:1.5em;font-weight:bold; text-decoration:none; color:white;}
   .buybuttonA a:hover {font-size:1.5em;font-weight:bold; text-decoration:none; color:white; text-shadow: 2px 2px 3px gold;}
  .buybuttonA a:active {font-size:1.5em;font-weight:bold; text-decoration:none; color:white; text-shadow: 2px 2px 3px gold;}

/********************************
* Tables, cells and paragraph control
* - tableitem	- On the commercial product page, has the product's picture, basic info and selling blurb
* - tablespec	- For the commercial product page with the Item/Case/Pallet specifications
* - cellspec	- Controls the cells of the Item/Case/Pallet specification table
* - titlespec	- A span for the Item/Case/Pallet title in the spec tables (kept here instead of Headliners)
* - cellb	- general purpose cell, used mostly in products.html
* - testimonial	- This controls the small box that frames the testimonals (usually a Paragraph instead of table)
* - buffer	- Can be used on paragraphs not in a table, to keep them from hitting the sideview pane
* - blurb	- This is the bullet list on every page beneath the Safe/Effective/Non-toxic
*************************************/

/* The main table on each product page */
.tableitem {
 width: 90%;
 margin-left:auto;
 margin-right:auto;
 }

.tablespec {
 margin-left: auto;
 margin-right: auto;
 width: 80%;
 border-collapse:collapse;
 }

.cellspec {
 vertical-align: top;
 border-style:ridge;
 padding:5px;
 }

/*  A <Span> for the Item/Case/Pallet title in the Spec tables */
.titlespec {
 text-decoration: underline;
 }

.cellb {
 border-style:inset;
 border-color:gray;
 background-color:white;
 vertical-align: bottom;
 text-align: center;
 width: 20%;
 height: auto;
 }

.cellc {
 border-style:ridge;
 border-color:gray;
 background-color:white;
 vertical-align: center;
 text-align: left;
 height: auto;
 padding:10px;
 }

.cellstore {
 border-style:inset;
 border-color:gray;
 background-color:#BDBDBD;
 vertical-align: top;
 text-align: center;
 width: 20%;
 height: auto;
 }

.cellbuynow {
 border-style:groove;
 border-color:gray;
 background-color:#173B0B;
 vertical-align: top;
 text-align: center;
 width: 20%;
 height: auto;
 }

.testimonial {
 text-indent: 50px;
 width: 90%;
 margin-left: auto;
 margin-right: auto;
 }

.buffer {
 width: 90%;
 margin-left: 5%;
}

.blurb {
 list-style-type:square;
 margin-left:30%;
 text-align:left;
 color:navy;
 font-weight:bold;
 font-size:0.9em;
}


/****************************************************************************************
* Images										*
* - logoSS	- Controls the SpringStar Logo that's on the top of every page		*
* - logogreen	- Controls the certified green image at the top of the page		*
* - sidelogo	- The smaller SpringStar logo that's above the links on the left bar	*
* - sidegreen	- Unused, was supposed to be the certified green on the left bar	*
* - bcsidelogo	- Used for the BioCare logo on the left bar				*
* - bclogo	- For the BioCare logo as it appears in the center			*
* - bimage	- Unused, background image holder					*
* - sidebar-image	- Unused, provided background image for left bar		*
* - snarky	- A test to make a working "buy now" image				*
****************************************************************************************/

.logoSS {width:40%; height:auto;margin-left:25%;}
.logogreen {width:8%; height:auto;  margin-top:auto;  margin-bottom:20px;  margin-left:20px;  margin-right:auto;}
.sidelogo {width:100%; height:auto;}
.sidegreen {width:100%; height:auto;  margin-top:auto;  margin-bottom:20px;  margin-left:20px;  margin-right:auto;}
.bcsidelogo {width:100%; height:auto;}
.bclogo {width:100%; height:auto;}

#bimage {
 z-index:1;	 min-height:100%;	 min-width:100%;	 width:100%;
 height:auto;	 position:fixed;	 top:0;			 left:0;
}

#sidebar-image {
 z-index:2;	 position:fixed;	 min-height:100%;	 min-width:120px;
 width:15%;	 height:100%;		 top:0;			 left:0;
}

/* Buybutton is for the "Buy now" buttons, this makes sure that the links behave appropriately */
#snarky {
 background-image:url('http://www.springstar.net/store/includes/sts_templates/springstar/images/buyimage.jpg');
 background-size:100% auto;
 background-repeat:no-repeat;
}

/********************************************************************************
* Various									*
* - bullet point control (square, circle, disc) used in different places	*
* - pageIcon	- default command from STS stylesheet				*
********************************************************************************/
ul.square { list-style-type:square;}
ul.circle { list-style-type:circle;}
ul.disc { list-style-type:disc;}
ol.disc { list-style-type:decimal;}


/* Hide icons in page headings (from STS stylesheet) */
#pageIcon, td.pageHeading img {
display: none;
}